## gabedit 2.4.2

=== Makefile ===

include CONFIG

COMMON     = src/Common/*.o
CURVE      = src/Spectrum/*.o
FILES      = src/Files/*.o
GAMESS     = src/Gamess/*.o
GAUSS      = src/Gaussian/*.o
GEOM       = src/Geometry/*.o
MODELS     = src/MolecularMechanics/*.o
MOLCAS     = src/Molcas/*.o
MOLPRO     = src/Molpro/*.o
MOPAC      = src/Mopac/*.o
MPQC       = src/MPQC/*.o
MULTIGRID  = src/MultiGrid/*.o
NETWORK    = src/NetWork/*.o
OPENGL     = src/Display/*.o
FIREFLY   = src/FireFly/*.o
NWCHEM    = src/NWChem/*.o
ORCA      = src/Orca/*.o
QCHEM      = src/QChem/*.o
SEMIEMP    = src/SemiEmpirical/*.o
UTILS      = src/Utils/*.o
SYMMETRY   = src/Symmetry/*.o
VIBCORR   = src/VibrationalCorrections/*.o
IDC   = src/IsotopeDistribution/*.o

 
OBJECTS = \
	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
	$(OPENGL) $(FIREFLY) $(NWCHEM) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
	$(SYMMETRY) $(VIBCORR) $(IDC)

SUBDIRS = \
	src/Display src/Common src/Files src/Gaussian \
 	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
	src/MPQC src/Gamess src/NWChem src/Orca src/QChem src/Mopac src/NetWork src/Utils \
	src/Symmetry src/FireFly src/MultiGrid src/SemiEmpirical \
	src/VibrationalCorrections src/IsotopeDistribution

ifneq ($(external_gl2ps),1)
GL2PS     = gl2ps/*.o
OBJECTS  += $(GL2PS)
SUBDIRS  += gl2ps
GLTOPS =
else
GLTOPS = -lgl2ps
endif
 
TARGETS = all clean dep
 
.PHONY: $(SUBDIRS)

$(TARGETS): $(SUBDIRS)

$(SUBDIRS):
	@$(MAKE) --directory=$@ $(MAKECMDGOALS)

all: gabedit

gabedit: $(SUBDIRS)
	$(MKDIR) tmp
	cp $(OBJECTS) tmp
	$(CC) $(LDFLAGS) tmp/*.o -o gabedit $(GLTOPS) $(X11LIB) $(GTKLIB) $(OGLLIB) $(JPEGLIB) $(LIBPTHREAD) $(WIN32LIB) $(OMPLIB) -g -lm
	@$(RMTMP) > ptmp
	rmdir tmp
	@$(RM) ptmp
 
clean:
	@$(RM) gabedit
	@$(RM) gabedit.exe
	@$(RM) *.com
	@$(RM) p
	@$(RM) pp
	@$(RM) p.c
	@$(RM) *.gab
	@$(RM) *.inp
	@$(RM) *.mop
	@$(RM) *.log
	@$(RM) *.out
	@$(RM) *.pun
	@$(RM) *.dat
	@$(RM) *.arc
	@$(RM) *.aux
	@$(RM) *.cmd
	@$(RM) *.chk
	@$(RM) *.sh
	@$(RM) pm6*.*

=== src/Display/Makefile ===
OBJECTS = GeomOrbXYZ.o BondsOrb.o GeomDraw.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsOrca.o OrbitalsQChem.o OrbitalsNWChem.o OrbitalsMopac.o OrbitalsNBO.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o IntegralOrbitals.o GridCP.o AnimationGrids.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Gaussian/Makefile ===
OBJECTS = GInterfaceBasis.o GInterfaceGeom.o GInterfaceLink.o GInterfaceMethodeBase.o GInterfaceRoute.o Gaussian.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 


%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Geometry/Makefile ===
OBJECTS = EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Measure.o Povray.o ResultsAnalise.o Symmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o ExportGeom.o TreeMolecule.o DrawGeomGL.o  AxesGeomGL.o DrawGeomCairo.o SelectionDlg.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/MolecularMechanics/Makefile ===
OBJECTS = Atom.o Molecule.o ForceField.o MolecularMechanics.o ConjugateGradient.o SteepestDescent.o QuasiNewton.o MolecularMechanicsDlg.o CreateMolecularMechanicsFile.o CreatePersonalMMFile.o LoadMMParameters.o SetMMParameters.o CreateDefaultPDBTpl.o LoadPDBTemplate.o PDBTemplate.o SetPDBTemplate.o SavePDBTemplate.o CalculTypesAmber.o MolecularDynamics.o 

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Spectrum/Makefile ===
OBJECTS = SpectrumWin.o IRSpectrum.o RamanSpectrum.o UVSpectrum.o ECDSpectrum.o NMRSpectrum.o DOS.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Symmetry/Makefile ===
OBJECTS = MoleculeSymmetry.o MoleculeSymmetryInterface.o PolyHedralOperators.o ReducePolyHedralMolecule.o PrincipalAxis.o ReduceMolecule.o SymmetryOperators.o GenerateMolecule.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Utils/Makefile ===
OBJECTS = GabeditTextEdit.o AtomsProp.o Jacobi.o QL.o Transformation.o Utils.o UtilsInterface.o Vector3d.o Matrix3D.o HydrogenBond.o PovrayUtils.o UtilsGL.o ConvUtils.o GabeditXYPlot.o GabeditContoursPlot.o UtilsCairo.o Zlm.o MathFunctions.o GTF.o TTables.o Interpolation.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== debian/changelog ===
gabedit (2.4.2-2) unstable; urgency=low

  * debian/compat: Bumped dh compatibility level to 7.
  * debian/control (Build-Depends): Bumped debhelper version.
    (Suggests): Removed povray, not longer available in Debian.
  * debian/rules: Rewritten for dh 7. Make use of dpkg-buildflags.
  * debian/README.source: Dropped obsolete file.
  * debian/TODO: Ditto.
  * debian/patches/hardening_fix.patch: Added.
    - Build with hardening flags.
  * debian/patches/series: Added.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Sun, 10 Jun 2012 18:38:20 +0200

gabedit (2.4.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Used wrap-and-sort.
    (Standards-Version): Bumped to 3.9.3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 20 Mar 2012 23:23:56 +0100

=== debian/control ===
Source: gabedit
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Build-Depends: debhelper (>> 7.0.50~),
               libgl1-mesa-dev | libgl-dev,
               libgl2ps-dev,
               libglib2.0-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtk2.0-dev,
               libgtkglext1-dev,
               libpango1.0-dev,
               pkg-config,
               xutils-dev
Standards-Version: 3.9.3
Homepage: http://gabedit.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/gabedit/
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/gabedit/
DM-Upload-Allowed: yes

Package: gabedit
Architecture: any
Depends: openbabel, ${misc:Depends}, ${shlibs:Depends}
Recommends: mpqc
Suggests: a2ps,
          cups-bsd | lpr,
          ftp-ssl | ftp,
          openssh-client | rsh-client,
          openssh-client | ssh-client
Description: graphical user interface to Ab Initio packages
 Gabedit is a graphical user interface to computational chemistry
 packages like:
 .
  - MPQC
  - GAMESS-US
  - Gaussian
  - Molcas
  - Molpro
  - Q-Chem
 .
 These Ab Initio software packages might run locally or on a remote
 server (supporting FTP, RSH and SSH). Gabedit can display a variety
 of calculation results including most major molecular file formats.
 The advanced "Molecule Builder" allows one to rapidly sketch in
 molecules and examine them in 3D. Graphics can further be exported
 to various formats, including animations.

## gabedit 2.4.3

=== debian/changelog ===
gabedit (2.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Dropped DM-Upload-Allowed.
    (Uploaders): Adjusted.
  * debian/upstream: Added.
  * debian/patches/hardening_fix.patch: Dropped, applied upstream.
  * debian/patches/series: Removed.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 01 Jul 2012 21:12:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
-Uploaders: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
+Uploaders: Daniel Leidert <dleidert@debian.org>
 Build-Depends: debhelper (>> 7.0.50~),
                libgl1-mesa-dev | libgl-dev,
                libgl2ps-dev,
@@ -17,7 +17,6 @@
 Homepage: http://gabedit.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/gabedit/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/gabedit/
-DM-Upload-Allowed: yes
 
 Package: gabedit
 Architecture: any

## gabedit 2.4.6

=== debian/changelog ===
gabedit (2.4.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.4.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 07 May 2013 23:19:37 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libpango1.0-dev,
                pkg-config,
                xutils-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://gabedit.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/gabedit/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/gabedit/

## gabedit 2.4.7

=== src/Geometry/Makefile ===
OBJECTS = EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Measure.o Povray.o ResultsAnalise.o GeomSymmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o ExportGeom.o TreeMolecule.o DrawGeomGL.o  AxesGeomGL.o DrawGeomCairo.o SelectionDlg.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/SemiEmpirical/Makefile ===
OBJECTS = AtomSE.o MoleculeSE.o SemiEmpiricalModel.o SemiEmpiricalMD.o SemiEmpirical.o SemiEmpiricalDlg.o 

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Utils/Makefile ===
OBJECTS = GabeditTextEdit.o AtomsProp.o Jacobi.o QL.o Transformation.o Utils.o UtilsInterface.o Vector3d.o Matrix3D.o HydrogenBond.o PovrayUtils.o UtilsGL.o ConvUtils.o GabeditXYPlot.o GabeditContoursPlot.o UtilsCairo.o Zlm.o MathFunctions.o GTF.o TTables.o Interpolation.o Point3D.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== debian/changelog ===
gabedit (2.4.7-1) unstable; urgency=low

  * New upstream release.
    - Fixes a buffer overflow parsing GAMESS output files (closes: #703965).
  * debian/patches/enable_hardening.patch: Added.
    - Fix an FTBFS error during hardening enabled builds.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 29 Jul 2013 00:06:28 +0200

gabedit (2.4.6-2) unstable; urgency=low

  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Build-Depends): Added libpangox-1.0-dev (closes: #713552).

 -- Daniel Leidert <dleidert@debian.org>  Tue, 25 Jun 2013 00:10:19 +0200

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,13 @@
                libgtk2.0-dev,
                libgtkglext1-dev,
                libpango1.0-dev,
+               libpangox-1.0-dev,
                pkg-config,
                xutils-dev
 Standards-Version: 3.9.4
 Homepage: http://gabedit.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/gabedit/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/gabedit/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/gabedit/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/gabedit/
 
 Package: gabedit
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=gabedit
INSTALL=/usr/bin/install

GTKLIB        = `pkg-config --libs gtk+-2.0 gtkglext-1.0 pangox`
GTKCFLAGS     = `pkg-config --cflags gtk+-2.0 gtkglext-1.0 pangox`
OGLLIB        = -lGL -lGLU
OGLCFLAGS     = -I/usr/include
LIBPTHREAD    = -lpthread
OMPLIB        = -lgomp
OMPCFLAGS     = -DENABLE_OMP -fopenmp
DRAWGEOMGL    = -DDRAWGEOMGL

CC           ?= gcc -g
COMMONCFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
COMMONCFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
COMMONCFLAGS += -DENABLE_DEPRECATED
LDFLAGS      ?= $(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS      += -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
		external_gl2ps=1 \
		GTKLIB="$(GTKLIB)" \
		GTKCFLAGS="$(GTKCFLAGS)" \
		OGLLIB="$(OGLLIB)" \
		OGLCFLAGS="$(OGLCFLAGS)" \
		LIBPTHREAD="$(LIBPTHREAD)" \
		OMPLIB="$(OMPLIB)" \
		OMPCFLAGS="$(OMPCFLAGS)" \
		DRAWGEOMGL="$(DRAWGEOMGL)" \
		COMMONCFLAGS="$(COMMONCFLAGS) $(OMPCFLAGS) $(DRAWGEOMGL)" \
		LDFLAGS="$(LDFLAGS)" \
		CC="$(CC)"

override_dh_install:
	dh_install
	for size in 16 24 32 48 ; do \
		$(INSTALL) -D -m 644 icons/Gabedit$${size}.png \
		    $(CURDIR)/debian/$(PACKAGE)/usr/share/icons/hicolor/$${size}x$${size}/apps/gabedit.png ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_installexamples:
	dh_installexamples
	chmod 644 $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/*
	
override_dh_compress:
	dh_compress $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/exampleGeoConv.gab

## gabedit 2.4.8

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 OPENGL     = src/Display/*.o
 FIREFLY   = src/FireFly/*.o
 NWCHEM    = src/NWChem/*.o
+PSICODE    = src/Psicode/*.o
 ORCA      = src/Orca/*.o
 QCHEM      = src/QChem/*.o
 SEMIEMP    = src/SemiEmpirical/*.o
@@ -29,13 +30,13 @@
 OBJECTS = \
 	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
 	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
-	$(OPENGL) $(FIREFLY) $(NWCHEM) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
+	$(OPENGL) $(FIREFLY) $(NWCHEM) $(PSICODE) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
 	$(SYMMETRY) $(VIBCORR) $(IDC)
 
 SUBDIRS = \
 	src/Display src/Common src/Files src/Gaussian \
  	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
-	src/MPQC src/Gamess src/NWChem src/Orca src/QChem src/Mopac src/NetWork src/Utils \
+	src/MPQC src/Gamess src/NWChem  src/Psicode src/Orca src/QChem src/Mopac src/NetWork src/Utils \
 	src/Symmetry src/FireFly src/MultiGrid src/SemiEmpirical \
 	src/VibrationalCorrections src/IsotopeDistribution

=== platforms/Makefile ===

include CONFIG

COMMON     = src/Common/*.o
CURVE      = src/Spectrum/*.o
FILES      = src/Files/*.o
GAMESS     = src/Gamess/*.o
GAUSS      = src/Gaussian/*.o
GEOM       = src/Geometry/*.o
MODELS     = src/MolecularMechanics/*.o
MOLCAS     = src/Molcas/*.o
MOLPRO     = src/Molpro/*.o
MOPAC      = src/Mopac/*.o
MPQC       = src/MPQC/*.o
MULTIGRID  = src/MultiGrid/*.o
NETWORK    = src/NetWork/*.o
OPENGL     = src/Display/*.o
FIREFLY   = src/FireFly/*.o
ORCA      = src/Orca/*.o
QCHEM      = src/QChem/*.o
SEMIEMP    = src/SemiEmpirical/*.o
UTILS      = src/Utils/*.o
SYMMETRY   = src/Symmetry/*.o
VIBCORR   = src/VibrationalCorrections/*.o
IDC   = src/IsotopeDistribution/*.o

 
OBJECTS = \
	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
	$(OPENGL) $(FIREFLY) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
	$(SYMMETRY) $(VIBCORR) $(IDC)

SUBDIRS = \
	src/Display src/Common src/Files src/Gaussian \
 	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
	src/MPQC src/Gamess src/Orca src/QChem src/Mopac src/NetWork src/Utils \
	src/Symmetry src/FireFly src/MultiGrid src/SemiEmpirical \
	src/VibrationalCorrections src/IsotopeDistribution

ifneq ($(external_gl2ps),1)
GL2PS     = gl2ps/*.o
OBJECTS  += $(GL2PS)
SUBDIRS  += gl2ps
else
OBJECTS  += -lgl2ps
endif
 
TARGETS = all clean dep
 
.PHONY: $(SUBDIRS)

$(TARGETS): $(SUBDIRS)

$(SUBDIRS):
	@$(MAKE) --directory=$@ $(MAKECMDGOALS)

all: gabedit

gabedit: $(SUBDIRS)
	mkdir tmp
	cp $(OBJECTS) tmp
	$(CC) $(LDFLAGS) tmp/*.o -o gabedit $(X11LIB) $(GTKLIB) $(OGLLIB) $(JPEGLIB) $(LIBPTHREAD) $(WIN32LIB) $(OMPLIB) -g
	@$(RMTMP) > ptmp
	rmdir tmp
	@$(RM) ptmp
 
clean:
	@$(RM) gabedit
	@$(RM) gabedit.exe
	@$(RM) *.com
	@$(RM) p
	@$(RM) pp
	@$(RM) p.c
	@$(RM) *.gab
	@$(RM) *.inp
	@$(RM) *.mop
	@$(RM) *.log
	@$(RM) *.out
	@$(RM) *.pun
	@$(RM) *.dat
	@$(RM) *.arc
	@$(RM) *.aux
	@$(RM) *.cmd
	@$(RM) *.chk
	@$(RM) *.sh
	@$(RM) pm6*.*

=== src/Common/Makefile ===
OBJECTS = Gabedit.o Help.o Install.o Preferences.o Printer.o Run.o SplashScreen.o TextEdit.o Windows.o Status.o Exit.o MenuToolBar.o StockIcons.o


include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Display/Makefile ===
OBJECTS = GeomOrbXYZ.o BondsOrb.o GeomDraw.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsOrca.o OrbitalsQChem.o OrbitalsNWChem.o OrbitalsMopac.o OrbitalsNBO.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o IntegralOrbitals.o GridCP.o AnimationGrids.o NCI.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Gamess/Makefile ===
OBJECTS = Gamess.o GamessMolecule.o GamessControl.o GamessBasis.o GamessGuess.o GamessSCF.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Molpro/Makefile ===
OBJECTS = MolproLib.o MInterfaceBasis.o MInterfaceComm.o MInterfaceGene.o MInterfaceGeom.o Molpro.o MolproBasisLibrary.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Mopac/Makefile ===
OBJECTS = Mopac.o MopacMolecule.o MopacRem.o 

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Psicode/Makefile ===
OBJECTS = Psicode.o PsicodeMolecule.o PsicodeKeywords.o PsicodeGuess.o PsicodeBasis.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/QChem/Makefile ===
OBJECTS = QChem.o QChemMolecule.o QChemRem.o QChemGuess.o QChemBasis.o QChemLib.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== debian/changelog ===
gabedit (2.4.8-2) unstable; urgency=medium

  * debian/compat: Raised to level 9.
  * debian/control (Build-Depends): Raised debhelper version accordingly.
    (Standards-Version): Bumped to 3.9.6.
  * debian/gabedit.menu: Removed (CTTE #741573).
  * debian/rules (override_dh_compress): Remove non-package specific directory
    part from the target (closes: #802192).
  * debian/upstream: Renamed to debian/upstream/metadata.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 19 Oct 2015 00:12:18 +0200

gabedit (2.4.8-1) unstable; urgency=low

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.5.
  * debian/patches/enable_hardening.patch: Dropped. Applied upstream.
  * debian/patches/series: Emptied.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 09 Feb 2014 13:25:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: debhelper (>> 7.0.50~),
+Build-Depends: debhelper (>> 9~),
                libgl1-mesa-dev | libgl-dev,
                libgl2ps-dev,
                libglib2.0-dev,
@@ -14,7 +14,7 @@
                libpangox-1.0-dev,
                pkg-config,
                xutils-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://gabedit.sourceforge.net
 Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/gabedit/
 Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/gabedit/

=== debian/rules ===
--- 
+++ 
@@ -58,4 +58,4 @@
 	chmod 644 $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/*
 	
 override_dh_compress:
-	dh_compress $(CURDIR)/debian/$(PACKAGE)/usr/share/doc/$(PACKAGE)/examples/exampleGeoConv.gab
+	dh_compress usr/share/doc/$(PACKAGE)/examples/exampleGeoConv.gab

=== debian/watch ===
# See uscan(1) for format

version=3
http://sf.net/gabedit/Gabedit(?:Src)?(\d)(\d)(\d+)(?:Src)?\.tar\.gz

## gabedit 2.5.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 COMMON     = src/Common/*.o
 CURVE      = src/Spectrum/*.o
 FILES      = src/Files/*.o
+DEMON      = src/DeMon/*.o
 GAMESS     = src/Gamess/*.o
 GAUSS      = src/Gaussian/*.o
 GEOM       = src/Geometry/*.o
@@ -24,21 +25,22 @@
 UTILS      = src/Utils/*.o
 SYMMETRY   = src/Symmetry/*.o
 VIBCORR   = src/VibrationalCorrections/*.o
+QFF   = src/QFF/*.o
 IDC   = src/IsotopeDistribution/*.o
 
  
 OBJECTS = \
-	$(COMMON) $(CURVE) $(FILES) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
+	$(COMMON) $(CURVE) $(FILES) $(DEMON) $(GAMESS) $(GAUSS) $(GEOM) $(MODELS) \
 	$(MOLCAS) $(MOLPRO) $(MOPAC) $(MPQC) $(MULTIGRID) $(NETWORK) \
 	$(OPENGL) $(FIREFLY) $(NWCHEM) $(PSICODE) $(ORCA) $(QCHEM) $(SEMIEMP) $(UTILS) \
-	$(SYMMETRY) $(VIBCORR) $(IDC)
+	$(SYMMETRY) $(VIBCORR) $(QFF) $(IDC)
 
 SUBDIRS = \
 	src/Display src/Common src/Files src/Gaussian \
  	src/Geometry src/Spectrum src/MolecularMechanics src/Molpro src/Molcas \
-	src/MPQC src/Gamess src/NWChem  src/Psicode src/Orca src/QChem src/Mopac src/NetWork src/Utils \
+	src/MPQC src/DeMon src/Gamess src/NWChem  src/Psicode src/Orca src/QChem src/Mopac src/NetWork src/Utils \
 	src/Symmetry src/FireFly src/MultiGrid src/SemiEmpirical \
-	src/VibrationalCorrections src/IsotopeDistribution
+	src/VibrationalCorrections src/IsotopeDistribution src/QFF \
 
 ifneq ($(external_gl2ps),1)
 GL2PS     = gl2ps/*.o

=== src/FireFly/Makefile ===
OBJECTS = FireFly.o FireFlyMolecule.o FireFlyControl.o FireFlyBasis.o FireFlyGuess.o FireFlySCF.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Geometry/Makefile ===
OBJECTS = EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Measure.o Povray.o ResultsAnalise.o GeomSymmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o BuildPeriodic.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o ExportGeom.o TreeMolecule.o DrawGeomGL.o  AxesGeomGL.o DrawGeomCairo.o SelectionDlg.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/MPQC/Makefile ===
OBJECTS = MPQC.o MPQCMolecule.o MPQCMole.o MPQCGuessWaveFunction.o MPQCMpqc.o MPQCBasis.o MPQCLib.o MPQCBasisLibrary.o MPQCFunctionals.o MPQCOptimization.o MPQCProperties.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/NWChem/Makefile ===
OBJECTS = NWChem.o NWChemMolecule.o NWChemKeywords.o NWChemGuess.o NWChemBasis.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Symmetry/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJECTS = MoleculeSymmetry.o MoleculeSymmetryInterface.o PolyHedralOperators.o ReducePolyHedralMolecule.o PrincipalAxis.o ReduceMolecule.o SymmetryOperators.o GenerateMolecule.o
+OBJECTS = MoleculeSymmetry.o MoleculeSymmetryInterface.o PolyHedralOperators.o ReducePolyHedralMolecule.o PrincipalAxis.o ReduceMolecule.o SymmetryOperators.o GenerateMolecule.o Element.o SAtom.o SMolecule.o Elements.o SOperation.o SOperations.o HashMapSAtoms.o PointGroup.o PointGroups.o Symmetry.o
 
 include ../../CONFIG
 CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

=== debian/changelog ===
gabedit (2.5.0-1) unstable; urgency=medium

  * New upstream release.

  [ Daniel Leidert ]
  * d/compat: Raised level to 12.
  * d/control (Build-Depends): Raised debhelper version accordingly.
    (Standards-Version): Bumped to 4.4.0.
    (Homepage): Use HTTPS uri.
  * d/copyright: Updated and rewritten for format version 1.0.
  * d/upstream/metadata: Use HTTPS uris.
  * d/watch: Ditto.
  * d/patches/detect_dummies_molpro.patch: Dropped. Should be fixed upstream.
  * d/patches/series: Adjusted accordingly.

  [ Helmut Grohne ]
  * d/rules: Fix FTCBFS (closes: #883940).
    + Do not force the build architecture compiler "cc".
    + Use the host architecture pkg-config.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 20 Jul 2019 00:04:24 +0200

gabedit (2.4.8-3) unstable; urgency=medium

  * debian/patches/detect_dummies_molpro.patch: New patch, fixes detection of
    dummy atoms in the Molpro geometry reader.
  * debian/patches/sort_object_files_in_makefile.patch: New patch, sort object
    files in Makefile, to get reproducible build, thanks to Alexis Bienvenüe
    (Closes: #820016).

 -- Michael Banck <mbanck@debian.org>  Wed, 05 Oct 2016 08:18:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: debhelper (>> 9~),
+Build-Depends: debhelper (>> 12~),
                libgl1-mesa-dev | libgl-dev,
                libgl2ps-dev,
                libglib2.0-dev,
@@ -14,10 +14,10 @@
                libpangox-1.0-dev,
                pkg-config,
                xutils-dev
-Standards-Version: 3.9.6
-Homepage: http://gabedit.sourceforge.net
-Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/gabedit/
-Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/gabedit/
+Standards-Version: 4.4.0
+Homepage: https://gabedit.sourceforge.net
+Vcs-Browser: https://salsa.debian.org/debichem-team/gabedit
+Vcs-Git: https://salsa.debian.org/debichem-team/gabedit.git
 
 Package: gabedit
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,11 +6,14 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+-include /usr/share/dpkg/buildtools.mk
+
 PACKAGE=gabedit
 INSTALL=/usr/bin/install
 
-GTKLIB        = `pkg-config --libs gtk+-2.0 gtkglext-1.0 pangox`
-GTKCFLAGS     = `pkg-config --cflags gtk+-2.0 gtkglext-1.0 pangox`
+PKG_CONFIG   ?=  pkg-config
+GTKLIB        = `$(PKG_CONFIG) --libs gtk+-2.0 gtkglext-1.0 pangox`
+GTKCFLAGS     = `$(PKG_CONFIG) --cflags gtk+-2.0 gtkglext-1.0 pangox`
 OGLLIB        = -lGL -lGLU
 OGLCFLAGS     = -I/usr/include
 LIBPTHREAD    = -lpthread
@@ -18,7 +21,6 @@
 OMPCFLAGS     = -DENABLE_OMP -fopenmp
 DRAWGEOMGL    = -DDRAWGEOMGL
 
-CC           ?= gcc -g
 COMMONCFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
 COMMONCFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
 COMMONCFLAGS += -DENABLE_DEPRECATED
@@ -26,7 +28,7 @@
 LDFLAGS      += -Wl,--as-needed
 
 %:
-	dh $@ --parallel
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build -- \
@@ -40,8 +42,7 @@
 		OMPCFLAGS="$(OMPCFLAGS)" \
 		DRAWGEOMGL="$(DRAWGEOMGL)" \
 		COMMONCFLAGS="$(COMMONCFLAGS) $(OMPCFLAGS) $(DRAWGEOMGL)" \
-		LDFLAGS="$(LDFLAGS)" \
-		CC="$(CC)"
+		LDFLAGS="$(LDFLAGS)"
 
 override_dh_install:
 	dh_install

## gabedit 2.5.1~20200828

=== spglib/Makefile ===
include ../CONFIG

OBJECTS = arithmetic.o cell.o debug.o delaunay.o determination.o hall_symbol.o kgrid.o kpoint.o mathfunc.o niggli.o overlap.o pointgroup.o primitive.o refinement.o sitesym_database.o site_symmetry.o spacegroup.o spg_database.o spglib.o spglib_f.o spin.o symmetry.o tetrahedron_method.o

all: compiling

CFLAGS =  $(COMMONCFLAGS) $(OGLCFLAGS) 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.o

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/DeMon/Makefile ===
OBJECTS = DeMon.o DeMonMolecule.o DeMonKeywords.o DeMonGuess.o DeMonBasis.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Display/Makefile ===
OBJECTS = GeomOrbXYZ.o BondsOrb.o GeomDraw.o TriangleDraw.o UtilsOrb.o Basis.o Grid.o IsoSurface.o ViewOrb.o GLArea.o OrbitalsGamess.o OrbitalsMolpro.o OrbitalsOrca.o OrbitalsQChem.o OrbitalsNWChem.o OrbitalsMopac.o OrbitalsNBO.o Orbitals.o StatusOrb.o AtomicOrbitals.o Images.o GridPlans.o Contours.o ContoursDraw.o PreferencesOrb.o GridCube.o GridAdfOrbitals.o GridAdfDensity.o Textures.o Dipole.o AxisGL.o PrincipalAxisGL.o Vibration.o VibrationDraw.o VibrationLocal.o ColorMap.o GridMolcas.o GridQChem.o AnimationRotation.o AnimationIsoSurface.o AnimationContours.o AnimationPlanesMapped.o AnimationGeomConv.o AnimationMD.o PovrayGL.o ContoursPov.o PlanesMappedDraw.o PlanesMapped.o PlanesMappedPov.o  SurfacesPov.o RingsPov.o MenuToolBarGL.o LabelsGL.o RingsOrb.o  ExportGL.o CaptureOrbitals.o IntegralOrbitals.o GridCP.o AnimationGrids.o NCI.o ReactivityIndices.o wfx.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Files/Makefile ===
OBJECTS = FileChooser.o FolderChooser.o ListeFiles.o GabeditFolderChooser.o GabeditFileChooser.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

include Dep.mk
#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

=== src/Geometry/Makefile ===
OBJECTS = EnergiesCurves.o Fragments.o GeomConversion.o GeomXYZ.o GeomZmatrix.o ImagesGeom.o InterfaceGeom.o Measure.o Povray.o ResultsAnalise.o GeomSymmetry.o RotFragments.o BuildLinear.o BuildRing.o BuildRoZPhi.o BuildPolyPeptide.o FragmentsPPD.o FragmentsPSC.o FragmentsPNA.o FragmentsCrystal.o BuildPolySaccharide.o BuildPolyNucleicAcid.o BuildNanoTube.o BuildCrystal.o PersonalFragments.o SavePersonalFragments.o LoadPersonalFragments.o FragmentsSelector.o OpenBabel.o MenuToolBarGeom.o PreviewGeom.o FragmentsTree.o ExportGeom.o TreeMolecule.o DrawGeomGL.o  AxesGeomGL.o DrawGeomCairo.o SelectionDlg.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/IsotopeDistribution/Makefile ===
OBJECTS = IsotopeDistributionCalculator.o IsotopeDistributionCalculatorDlg.o 

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/Molcas/Makefile ===
OBJECTS = Molcas.o MolcasGateWay.o MolcasSeward.o MolcasScf.o MolcasGridIT.o MolcasOptimization.o MolcasVariables.o MolcasLib.o MolcasBasisLibrary.o MolcasBasis.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== debian/changelog ===
gabedit (2.5.1~20200828-1) unstable; urgency=medium

  * New release candidate for the upcoming 2.5.1 release.
    - Fixes crash when opening the molecular editor (closes: #966625).
  * debian/compat: Remove obsolete file.
  * d/control: Add Rules-Requires-Root field.
    (Build-Depends): Use debhelper-compat.
    (Standards-Version): Bump to 4.5.0.
  * d/copyright (Copyright): Update copyrights.
  * d/gabedit.desktop: Add Keywords field.
  * d/rules (COMMONCFLAGS): Use -fcommon (closes: #957245).
    (LDFLAGS): Fix debian-rules-uses-as-needed-linker-flag.
  * d/patches/sort_object_files_in_makefile.patch: Refresh patch.
  * d/tests/control: Add basic autopkgtest and run gabedit.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 12 Oct 2020 00:32:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Daniel Leidert <dleidert@debian.org>
-Build-Depends: debhelper (>> 12~),
+Build-Depends: debhelper-compat (= 12),
                libgl1-mesa-dev | libgl-dev,
                libgl2ps-dev,
                libglib2.0-dev,
@@ -14,14 +14,17 @@
                libpangox-1.0-dev,
                pkg-config,
                xutils-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://gabedit.sourceforge.net
 Vcs-Browser: https://salsa.debian.org/debichem-team/gabedit
 Vcs-Git: https://salsa.debian.org/debichem-team/gabedit.git
 
 Package: gabedit
 Architecture: any
-Depends: openbabel, ${misc:Depends}, ${shlibs:Depends}
+Depends: openbabel,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: mpqc
 Suggests: a2ps,
           cups-bsd | lpr,

=== debian/rules ===
--- 
+++ 
@@ -23,14 +23,14 @@
 
 COMMONCFLAGS ?= $(shell dpkg-buildflags --get CFLAGS)
 COMMONCFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
-COMMONCFLAGS += -DENABLE_DEPRECATED
+COMMONCFLAGS += -DENABLE_DEPRECATED -fcommon
 LDFLAGS      ?= $(shell dpkg-buildflags --get LDFLAGS)
-LDFLAGS      += -Wl,--as-needed
 
 %:
 	dh $@
 
 override_dh_auto_build:
+	-ls -lA ../ ./ debian/
 	dh_auto_build -- \
 		external_gl2ps=1 \
 		GTKLIB="$(GTKLIB)" \

=== debian/tests/control ===
Test-Command: xvfb-run -a /usr/bin/gabedit &
Depends: @, xauth, xvfb
Features: test-name=run
Restrictions: allow-stderr

=== debian/watch ===
# See uscan(1) for format

version=3
https://sf.net/gabedit/Gabedit(?:Src)?(\d)(\d)(\d+)(?:Src)?\.tar\.gz

## gabedit 2.5.1%2Bds

=== src/Common/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJECTS = Gabedit.o Help.o Install.o Preferences.o Printer.o Run.o SplashScreen.o TextEdit.o Windows.o Status.o Exit.o MenuToolBar.o StockIcons.o
+OBJECTS = Gabedit.o Help.o Install.o Preferences.o Printer.o Run.o SplashScreen.o TextEdit.o Windows.o Status.o Exit.o MenuToolBar.o StockIcons.o Global.o
 
 
 include ../../CONFIG

=== src/Gaussian/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJECTS = GInterfaceBasis.o GInterfaceGeom.o GInterfaceLink.o GInterfaceMethodeBase.o GInterfaceRoute.o Gaussian.o
+OBJECTS = GInterfaceBasis.o GInterfaceGeom.o GInterfaceLink.o GInterfaceMethodeBase.o GInterfaceRoute.o Gaussian.o GaussGlobal.o
 
 include ../../CONFIG
 CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

=== src/Mopac/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-OBJECTS = Mopac.o MopacMolecule.o MopacRem.o 
+OBJECTS = Mopac.o MopacMolecule.o MopacRem.o  MopacGlobal.o
 
 include ../../CONFIG
 CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

=== src/MultiGrid/Makefile ===
OBJECTS = DomainMG.o GridMG.o  PoissonMG.o

include ../../CONFIG

CFLAGS =  $(COMMONCFLAGS)  $(GTKCFLAGS) $(OGLCFLAGS)

all: compiling

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk

=== src/NetWork/Makefile ===
OBJECTS = Ftp.o Process.o Rsh.o Ssh.o Scp.o FilesTransfer.o RemoteCommand.o Batch.o

include ../../CONFIG
CFLAGS =  $(COMMONCFLAGS) $(GTKCFLAGS)

all: compiling 

%.o : %.c
	$(CC) -c $(CFLAGS) $< -o $@

compiling: $(OBJECTS)

clean:
	@$(RM) *.chk p *o gabedit *.com *.out *.log *.test test* *.cpp  *old *.ps .*swp *~ 

#make dependance
SRCS = $(OBJECTS:%.o=%.c)
dep :
	gcc -MM $(SRCS) > Dep.mk

-include Dep.mk
